## GESCommandLineFormatter

    GObject
        ╰──GInitiallyUnowned
            ╰──GESFormatter
                ╰──GESCommandLineFormatter

### Members

`parent_instance` (GESFormatter) –
No description available
`priv` (GESCommandLineFormatterPrivate*) –
No description available

### Class structure

#### GESCommandLineFormatterClass

##### Fields

`parent_class` (GESFormatterClass) –
No description available

### GES.CommandLineFormatterClass

##### Attributes

`parent_class` (GES.FormatterClass) –
No description available

### GES.CommandLineFormatterClass

##### Attributes

`parent_class` (GES.FormatterClass) –
No description available

## GES.CommandLineFormatter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.Formatter
                ╰──GES.CommandLineFormatter

### Members

`parent_instance` (GES.Formatter) –
No description available
`priv` (GES.CommandLineFormatterPrivate) –
No description available

## GES.CommandLineFormatter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.Formatter
                ╰──GES.CommandLineFormatter

### Members

`parent_instance` (GES.Formatter) –
No description available
`priv` (GES.CommandLineFormatterPrivate) –
No description available

### Functions

#### ges_command_line_formatter_get_help

    gchar*
    ges_command_line_formatter_get_help (gint nargs,
                                         gchar** commands)

Creates a help string based on commands.

Result: (transfer full): A help string.

Parameters:

`nargs` –

Number of commands in commands

`commands` ( [arraylength=nargs]) –

Commands

Returns –
No description available

Since : 1.10

#### GES.CommandLineFormatter.prototype.get_help

    function GES.CommandLineFormatter.prototype.get_help(nargs: Number, commands: [ String ]): {
        // javascript wrapper for 'ges_command_line_formatter_get_help'
    }

Creates a help string based on commands.

Result: (transfer full): A help string.

Parameters:

`nargs` (Number) –

Number of commands in commands

`commands` ([ String ]) –

Commands

Returns (String) –
No description available

Since : 1.10

#### GES.CommandLineFormatter.get_help

    def GES.CommandLineFormatter.get_help (nargs, commands):
        #python wrapper for 'ges_command_line_formatter_get_help'

Creates a help string based on commands.

Result: (transfer full): A help string.

Parameters:

`nargs` (int) –

Number of commands in commands

`commands` ([ str ]) –

Commands

Returns (str) –
No description available

Since : 1.10

#### ges_command_line_formatter_get_timeline_uri

    gchar*
    ges_command_line_formatter_get_timeline_uri (GESTimeline * timeline)

Parameters:

`timeline` –

A GESTimeline to serialize

Returns –
No description available

Since : 1.10

#### GES.CommandLineFormatter.prototype.get_timeline_uri

    function GES.CommandLineFormatter.prototype.get_timeline_uri(timeline: GES.Timeline): {
        // javascript wrapper for 'ges_command_line_formatter_get_timeline_uri'
    }

Parameters:

`timeline` (GES.Timeline) –

A GESTimeline to serialize

Returns (String) –
No description available

Since : 1.10

#### GES.CommandLineFormatter.get_timeline_uri

    def GES.CommandLineFormatter.get_timeline_uri (timeline):
        #python wrapper for 'ges_command_line_formatter_get_timeline_uri'

Parameters:

`timeline` (GES.Timeline) –

A GESTimeline to serialize

Returns (str) –
No description available

Since : 1.10

The results of the search are